Bug 9201 - tar-1.13.17-2: excludes don't work (with patch)
Summary: tar-1.13.17-2: excludes don't work (with patch)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tar   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-08 02:22 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-09 11:54:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix --exclude bug in tar 1.13.17 (713 bytes, patch)
2000-02-08 02:23 UTC, Jonathan Kamens
no flags Details | Diff
a better patch (780 bytes, patch)
2000-02-08 02:51 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2000-02-08 02:22:10 UTC
jik:/tmp!19> cd /tmp
jik:/tmp!20> mkdir foo
jik:/tmp!21> touch foo/bar.baz
jik:/tmp!22> tar --create --file /dev/null --exclude 'bar.*' --verbose foo
foo/
foo/bar.baz
jik:/tmp!23>

The file foo/bar.baz should have been excluded but wasn't.

A patch is attached.

Comment 1 Jonathan Kamens 2000-02-08 02:23:59 UTC
Created attachment 98 [details]
patch to fix --exclude bug in tar 1.13.17

Comment 2 Jonathan Kamens 2000-02-08 02:51:59 UTC
Created attachment 99 [details]
a better patch

Comment 3 Bernhard Rosenkraenzer 2000-02-09 11:54:59 UTC
Looks good - thanks. Fixed now.


Note You need to log in before you can comment on or make changes to this bug.